Bug 57133 - SIGSEGV when debugger shows variable values when using Entity Framework 6 with proxies
Summary: SIGSEGV when debugger shows variable values when using Entity Framework 6 wit...
Status: RESOLVED DUPLICATE of bug 57488
Alias: None
Product: Runtime
Classification: Mono
Component: Debugger (show other bugs)
Version: 5.0 (2017-02)
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Aleksey Kliger
URL:
Depends on:
Blocks:
 
Reported: 2017-06-03 17:31 UTC by Beñat Gurmendi
Modified: 2018-01-08 17:05 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Example project (72.56 KB, application/zip)
2017-06-03 17:31 UTC, Beñat Gurmendi
Details
Example project 2 (2.92 KB, application/zip)
2017-06-05 12:01 UTC, Beñat Gurmendi
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED DUPLICATE of bug 57488

Description Beñat Gurmendi 2017-06-03 17:31:26 UTC
Created attachment 22671 [details]
Example project

How to reproduce:
- Open attached project on any IDE with debbuger (MonoDevelop5, Monodevelop6 or Rider)
- Start debugger session.
- When the execution stops do one of this actions:
   - On 'Immediate' console: write 'entity'.
   - View Locals pad.
   - Watch entity variable.

Stacktrace:

/proc/self/maps:
00400000-007b1000 r-xp 00000000 08:0a 526859                             /usr/bin/mono-sgen
009b0000-009b1000 r--p 003b0000 08:0a 526859                             /usr/bin/mono-sgen
009b1000-009b4000 rw-p 003b1000 08:0a 526859                             /usr/bin/mono-sgen
009b4000-009e7000 rw-p 00000000 00:00 0 
01b8a000-0498d000 rw-p 00000000 00:00 0                                  [heap]
4022f000-4023f000 rwxp 00000000 00:00 0 
40994000-413cd000 rwxp 00000000 00:00 0 
7f4c98000000-7f4c98021000 rw-p 00000000 00:00 0 
7f4c98021000-7f4c9c000000 ---p 00000000 00:00 0 
7f4c9c000000-7f4c9c021000 rw-p 00000000 00:00 0 
7f4c9c021000-7f4ca0000000 ---p 00000000 00:00 0 
7f4ca0000000-7f4ca003f000 rw-p 00000000 00:00 0 
7f4ca003f000-7f4ca4000000 ---p 00000000 00:00 0 
7f4ca4000000-7f4ca4021000 rw-p 00000000 00:00 0 
7f4ca4021000-7f4ca8000000 ---p 00000000 00:00 0 
7f4ca8000000-7f4ca803a000 rw-p 00000000 00:00 0 
7f4ca803a000-7f4cac000000 ---p 00000000 00:00 0 
7f4cac000000-7f4cac021000 rw-p 00000000 00:00 0 
7f4cac021000-7f4cb0000000 ---p 00000000 00:00 0 
7f4cb0000000-7f4cb0021000 rw-p 00000000 00:00 0 
7f4cb0021000-7f4cb4000000 ---p 00000000 00:00 0 
7f4cb59ba000-7f4cb59d3000 r-xp 00000000 08:0a 657578                     /lib/x86_64-linux-gnu/libz.so.1.2.8
7f4cb59d3000-7f4cb5bd2000 ---p 00019000 08:0a 657578                     /lib/x86_64-linux-gnu/libz.so.1.2.8
7f4cb5bd2000-7f4cb5bd3000 r--p 00018000 08:0a 657578                     /lib/x86_64-linux-gnu/libz.so.1.2.8
7f4cb5bd3000-7f4cb5bd4000 rw-p 00019000 08:0a 657578                     /lib/x86_64-linux-gnu/libz.so.1.2.8
7f4cb5bfe000-7f4cb5c3e000 r-xp 00000000 08:0a 528382                     /usr/lib/libMonoPosixHelper.so
7f4cb5c3e000-7f4cb5e3d000 ---p 00040000 08:0a 528382                     /usr/lib/libMonoPosixHelper.so
7f4cb5e3d000-7f4cb5e3e000 r--p 0003f000 08:0a 528382                     /usr/lib/libMonoPosixHelper.so
7f4cb5e3e000-7f4cb5e3f000 rw-p 00040000 08:0a 528382                     /usr/lib/libMonoPosixHelper.so
7f4cb5e3f000-7f4cb5e40000 rw-p 00000000 00:00 0 
7f4cb5e40000-7f4cb5f24000 r--p 00000000 08:0a 4725734                    /usr/lib/mono/gac/System.Runtime.Serialization/4.0.0.0__b77a5c561934e089/System.Runtime.Serialization.dll
7f4cb5f24000-7f4cb5fa4000 rw-p 00000000 00:00 0 
7f4cb5fa7000-7f4cb6131000 rw-p 00000000 00:00 0 
7f4cb6131000-7f4cb6132000 rw-p 00000000 00:00 0 
7f4cb6132000-7f4cb6150000 r--p 00000000 08:0a 4730684                    /usr/lib/mono/gac/System.Xml.Linq/4.0.0.0__b77a5c561934e089/System.Xml.Linq.dll
7f4cb6150000-7f4cb61d1000 rw-p 00000000 00:00 0 
7f4cb61d1000-7f4cb61d4000 rw-p 00000000 00:00 0 
7f4cb61d4000-7f4cb61e9000 r--p 00000000 08:0a 4725350                    /usr/lib/mono/gac/System.ComponentModel.DataAnnotations/4.0.0.0__31bf3856ad364e35/System.ComponentModel.DataAnnotations.dll
7f4cb61e9000-7f4cb61f2000 ---p 00000000 00:00 0 
7f4cb61f2000-7f4cb63ea000 rw-p 00000000 00:00 0 
7f4cb63ea000-7f4cb63f5000 r-xp 00000000 08:0a 660644                     /lib/x86_64-linux-gnu/libnss_files-2.23.so
7f4cb63f5000-7f4cb65f4000 ---p 0000b000 08:0a 660644                     /lib/x86_64-linux-gnu/libnss_files-2.23.so
7f4cb65f4000-7f4cb65f5000 r--p 0000a000 08:0a 660644                     /lib/x86_64-linux-gnu/libnss_files-2.23.so
7f4cb65f5000-7f4cb65f6000 rw-p 0000b000 08:0a 660644                     /lib/x86_64-linux-gnu/libnss_files-2.23.so
7f4cb65f6000-7f4cb65fc000 rw-p 00000000 00:00 0 
7f4cb65fc000-7f4cb6605000 ---p 00000000 00:00 0 
7f4cb6605000-7f4cb67fd000 rw-p 00000000 00:00 0 
7f4cb67fd000-7f4cb6806000 ---p 00000000 00:00 0 
7f4cb6806000-7f4cb69fe000 rw-p 00000000 00:00 0 
7f4cb69fe000-7f4cb6a07000 ---p 00000000 00:00 0 
7f4cb6a07000-7f4cb6bff000 rw-p 00000000 00:00 0 
7f4cb6bff000-7f4cb6c08000 ---p 00000000 00:00 0 
7f4cb6c08000-7f4cb6f02000 rw-p 00000000 00:00 0 
7f4cb6f02000-7f4cb6f06000 rw-p 00000000 00:00 0 
7f4cb6f06000-7f4cb6f31000 r--p 00000000 08:0a 4725675                    /usr/lib/mono/gac/System.Data.OracleClient/4.0.0.0__b77a5c561934e089/System.Data.OracleClient.dll
7f4cb6f31000-7f4cb6f48000 r--p 00000000 08:0a 4725283                    /usr/lib/mono/gac/System.Numerics/4.0.0.0__b77a5c561934e089/System.Numerics.dll
7f4cb6f48000-7f4cb6fe0000 r--p 00000000 08:0a 4980990                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/EntityFramework.SqlServer.dll
7f4cb6fe0000-7f4cb72e3000 r--p 00000000 08:0a 4460105                    /usr/lib/mono/gac/System.Xml/4.0.0.0__b77a5c561934e089/System.Xml.dll
7f4cb72e3000-7f4cb77d8000 r--p 00000000 08:0a 4980907                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/EntityFramework.dll
7f4cb77d8000-7f4cb7a63000 r--p 00000000 08:0a 4460085                    /usr/lib/mono/gac/System/4.0.0.0__b77a5c561934e089/System.dll
7f4cb7a63000-7f4cb7c54000 r--p 00000000 08:0a 4725297                    /usr/lib/mono/gac/System.Data/4.0.0.0__b77a5c561934e089/System.Data.dll
7f4cb7c54000-7f4cb7c5d000 ---p 00000000 00:00 0 
7f4cb7c5d000-7f4cb7e55000 rw-p 00000000 00:00 0 
7f4cb7e55000-7f4cb7e5e000 ---p 00000000 00:00 0 
7f4cb7e5e000-7f4cb8056000 rw-p 00000000 00:00 0 
7f4cb8056000-7f4cb83ff000 r--p 00000000 08:0a 4460676                    /usr/lib/mono/4.5/mscorlib.dll
7f4cb83ff000-7f4cb93ff000 rw-p 00000000 00:00 0 
7f4cb93ff000-7f4cb9400000 ---p 00000000 00:00 0 
7f4cb9400000-7f4cba001000 rw-p 00000000 00:00 0 
7f4cba001000-7f4cba006000 rw-p 00000000 00:00 0 
7f4cba006000-7f4cba016000 rwxp 00000000 00:00 0 
7f4cba016000-7f4cba03d000 r--p 00000000 08:0a 4980993                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/Npgsql.EntityFramework.dll
7f4cba03d000-7f4cba05b000 r--p 00000000 08:0a 4460040                    /usr/lib/mono/gac/System.Configuration/4.0.0.0__b03f5f7f11d50a3a/System.Configuration.dll
7f4cba05b000-7f4cba152000 r--p 00000000 08:0a 4460106                    /usr/lib/mono/gac/System.Core/4.0.0.0__b77a5c561934e089/System.Core.dll
7f4cba152000-7f4cba55b000 r--p 00000000 08:0a 526099                     /usr/lib/locale/locale-archive
7f4cba55b000-7f4cba71a000 r-xp 00000000 08:0a 660640                     /lib/x86_64-linux-gnu/libc-2.23.so
7f4cba71a000-7f4cba91a000 ---p 001bf000 08:0a 660640                     /lib/x86_64-linux-gnu/libc-2.23.so
7f4cba91a000-7f4cba91e000 r--p 001bf000 08:0a 660640                     /lib/x86_64-linux-gnu/libc-2.23.so
7f4cba91e000-7f4cba920000 rw-p 001c3000 08:0a 660640                     /lib/x86_64-linux-gnu/libc-2.23.so
7f4cba920000-7f4cba924000 rw-p 00000000 00:00 0 
7f4cba924000-7f4cba93a000 r-xp 00000000 08:0a 659398                     /lib/x86_64-linux-gnu/libgcc_s.so.1
7f4cba93a000-7f4cbab39000 ---p 00016000 08:0a 659398                     /lib/x86_64-linux-gnu/libgcc_s.so.1
7f4cbab39000-7f4cbab3a000 rw-p 00015000 08:0a 659398                     /lib/x86_64-linux-gnu/libgcc_s.so.1
7f4cbab3a000-7f4cbab52000 r-xp 00000000 08:0a 660651                     /lib/x86_64-linux-gnu/libpthread-2.23.so
7f4cbab52000-7f4cbad51000 ---p 00018000 08:0a 660651                     /lib/x86_64-linux-gnu/libpthread-2.23.so
7f4cbad51000-7f4cbad52000 r--p 00017000 08:0a 660651                     /lib/x86_64-linux-gnu/libpthread-2.23.so
7f4cbad52000-7f4cbad53000 rw-p 00018000 08:0a 660651                     /lib/x86_64-linux-gnu/libpthread-2.23.so
7f4cbad53000-7f4cbad57000 rw-p 00000000 00:00 0 
7f4cbad57000-7f4cbad5a000 r-xp 00000000 08:0a 660361                     /lib/x86_64-linux-gnu/libdl-2.23.so
7f4cbad5a000-7f4cbaf59000 ---p 00003000 08:0a 660361                     /lib/x86_64-linux-gnu/libdl-2.23.so
7f4cbaf59000-7f4cbaf5a000 r--p 00002000 08:0a 660361                     /lib/x86_64-linux-gnu/libdl-2.23.so
7f4cbaf5a000-7f4cbaf5b000 rw-p 00003000 08:0a 660361                     /lib/x86_64-linux-gnu/libdl-2.23.so
7f4cbaf5b000-7f4cbaf62000 r-xp 00000000 08:0a 660647                     /lib/x86_64-linux-gnu/librt-2.23.so
7f4cbaf62000-7f4cbb161000 ---p 00007000 08:0a 660647                     /lib/x86_64-linux-gnu/librt-2.23.so
7f4cbb161000-7f4cbb162000 r--p 00006000 08:0a 660647                     /lib/x86_64-linux-gnu/librt-2.23.so
7f4cbb162000-7f4cbb163000 rw-p 00007000 08:0a 660647                     /lib/x86_64-linux-gnu/librt-2.23.so
7f4cbb163000-7f4cbb26b000 r-xp 00000000 08:0a 660638                     /lib/x86_64-linux-gnu/libm-2.23.so
7f4cbb26b000-7f4cbb46a000 ---p 00108000 08:0a 660638                     /lib/x86_64-linux-gnu/libm-2.23.so
7f4cbb46a000-7f4cbb46b000 r--p 00107000 08:0a 660638                     /lib/x86_64-linux-gnu/libm-2.23.so
7f4cbb46b000-7f4cbb46c000 rw-p 00108000 08:0a 660638                     /lib/x86_64-linux-gnu/libm-2.23.so
7f4cbb46c000-7f4cbb492000 r-xp 00000000 08:0a 660641                     /lib/x86_64-linux-gnu/ld-2.23.so
7f4cbb492000-7f4cbb4a4000 rw-p 00000000 00:00 0 
7f4cbb4a4000-7f4cbb4d8000 r--p 00000000 08:0a 4460096                    /usr/lib/mono/gac/Mono.Posix/4.0.0.0__0738eb9f132ed756/Mono.Posix.dll
7f4cbb4d8000-7f4cbb525000 r--p 00000000 08:0a 4461137                    /usr/lib/mono/gac/Mono.Security/4.0.0.0__0738eb9f132ed756/Mono.Security.dll
7f4cbb525000-7f4cbb57c000 r--p 00000000 08:0a 4980994                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/Npgsql.dll
7f4cbb57c000-7f4cbb601000 rw-p 00000000 00:00 0 
7f4cbb601000-7f4cbb660000 ---p 00000000 00:00 0 
7f4cbb660000-7f4cbb667000 rw-p 00000000 00:00 0 
7f4cbb667000-7f4cbb66a000 rw-p 00000000 00:00 0 
7f4cbb66a000-7f4cbb673000 r--p 00000000 08:0a 4725262                    /usr/lib/mono/gac/System.Transactions/4.0.0.0__b77a5c561934e089/System.Transactions.dll
7f4cbb673000-7f4cbb674000 r--p 00000000 08:0a 4980750                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/TestEFCompilation.pdb
7f4cbb674000-7f4cbb681000 rw-p 00000000 00:00 0 
7f4cbb681000-7f4cbb683000 r--p 00000000 08:0a 4984158                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/TestEFCompilation.exe
7f4cbb683000-7f4cbb684000 rw-s 00000000 00:15 13                         /dev/shm/mono.6801
7f4cbb684000-7f4cbb691000 rw-p 00000000 00:00 0 
7f4cbb691000-7f4cbb692000 r--p 00025000 08:0a 660641                     /lib/x86_64-linux-gnu/ld-2.23.so
7f4cbb692000-7f4cbb693000 rw-p 00026000 08:0a 660641                     /lib/x86_64-linux-gnu/ld-2.23.so
7f4cbb693000-7f4cbb694000 rw-p 00000000 00:00 0 
7ffd02168000-7ffd02170000 ---p 00000000 00:00 0 
7ffd02946000-7ffd02967000 rw-p 00000000 00:00 0                          [stack]
7ffd029ac000-7ffd029ae000 r--p 00000000 00:00 0                          [vvar]
7ffd029ae000-7ffd029b0000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Native stacktrace:

	/usr/bin/mono() [0x4ac59f]
	/usr/bin/mono() [0x50fac6]
	/lib/x86_64-linux-gnu/libc.so.6(cfree+0x22) [0x7f4cba5de962]

Debug info from gdb:

[New LWP 6802]
[New LWP 6804]
[New LWP 6805]
[New LWP 6809]
[New LWP 6810]
[New LWP 6811]
[New LWP 6812]
[New LWP 6814]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
185	../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S: No such file or directory.
  Id   Target Id         Frame 
* 1    Thread 0x7f4cbb660740 (LWP 6801) "mono" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  2    Thread 0x7f4cb9bff700 (LWP 6802) "SGen worker" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  3    Thread 0x7f4cb8055700 (LWP 6804) "Finalizer" 0x00007f4cbab49827 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x9d66a0 <finalizer_sem>) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
  4    Thread 0x7f4cb7e54700 (LWP 6805) "Debugger agent" 0x00007f4cbab4af7b in __waitpid (pid=pid@entry=6818, stat_loc=stat_loc@entry=0x7f4cb7e52d7c, options=options@entry=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29
  5    Thread 0x7f4cb6dff700 (LWP 6809) "mono" pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
  6    Thread 0x7f4cb6bfe700 (LWP 6810) "Threadpool work" pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
  7    Thread 0x7f4cb69fd700 (LWP 6811) "Threadpool work" pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
  8    Thread 0x7f4cb67fc700 (LWP 6812) "Threadpool work" pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
  9    Thread 0x7f4cb63e9700 (LWP 6814) "mono" 0x00007f4cba655b5d in poll () at ../sysdeps/unix/syscall-template.S:84

Thread 9 (Thread 0x7f4cb63eLoaded assembly: /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/TestEFCompilation.exe
Resolved pending breakpoint at 'Program.cs:58,1' to void MainClass.prueba1 () [0x00069].
Loaded assembly: /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/Npgsql.dll [External]
Loaded assembly: /usr/lib/mono/gac/System.Data/4.0.0.0__b77a5c561934e089/System.Data.dll [External]
Loaded assembly: /usr/lib/mono/gac/System/4.0.0.0__b77a5c561934e089/System.dll [External]
Loaded assembly: /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/EntityFramework.dll [External]
Loaded assembly: /usr/lib/mono/gac/Mono.Security/4.0.0.0__0738eb9f132ed756/Mono.Security.dll [External]
Loaded assembly: /usr/lib/mono/gac/System.Transactions/4.0.0.0__b77a5c561934e089/System.Transactions.dll [External]
Loaded assembly: /usr/lib/mono/gac/System.Xml/4.0.0.0__b77a5c561934e089/System.Xml.dll [External]
Loaded assembly: /usr/lib/mono/gac/System.Core/4.0.0.0__b77a5c561934e089/System.Core.dll [External]
Loaded assembly: /usr/lib/mono/gac/Mono.Posix/4.0.0.0__0738eb9f132ed756/Mono.Posix.dll [External]
Thread started: <Thread Pool> #2
Thread started: <Thread Pool> #3
Thread started: <Thread Pool> #4
Thread started: <Thread Pool> #5
Loaded assembly: /usr/lib/mono/gac/System.Configuration/4.0.0.0__b03f5f7f11d50a3a/System.Configuration.dll [External]
Thread started: <Thread Pool> #6
Loaded assembly: /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/Npgsql.EntityFramework.dll [External]
Loaded assembly: /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/EntityFramework.SqlServer.dll [External]
Loaded assembly: Anonymously Hosted DynamicMethods Assembly [External]
Loaded assembly: /usr/lib/mono/gac/System.Numerics/4.0.0.0__b77a5c561934e089/System.Numerics.dll [External]
Loaded assembly: /usr/lib/mono/gac/System.Data.OracleClient/4.0.0.0__b77a5c561934e089/System.Data.OracleClient.dll [External]
Loaded assembly: /usr/lib/mono/gac/System.ComponentModel.DataAnnotations/4.0.0.0__31bf3856ad364e35/System.ComponentModel.DataAnnotations.dll [External]
Loaded assembly: /usr/lib/mono/gac/System.Xml.Linq/4.0.0.0__b77a5c561934e089/System.Xml.Linq.dll [External]
Loaded assembly: EntityFrameworkDynamicProxies-TestEFCompilation [External]
Loaded assembly: /usr/lib/mono/gac/System.Runtime.Serialization/4.0.0.0__b77a5c561934e089/System.Runtime.Serialization.dll [External]
RIUN for debbug: sudo gdb -p 6801
Stacktrace:

/proc/self/maps:
00400000-007b1000 r-xp 00000000 08:0a 526859                             /usr/bin/mono-sgen
009b0000-009b1000 r--p 003b0000 08:0a 526859                             /usr/bin/mono-sgen
009b1000-009b4000 rw-p 003b1000 08:0a 526859                             /usr/bin/mono-sgen
009b4000-009e7000 rw-p 00000000 00:00 0 
01b8a000-0498d000 rw-p 00000000 00:00 0                                  [heap]
4022f000-4023f000 rwxp 00000000 00:00 0 
40994000-413cd000 rwxp 00000000 00:00 0 
7f4c98000000-7f4c98021000 rw-p 00000000 00:00 0 
7f4c98021000-7f4c9c000000 ---p 00000000 00:00 0 
7f4c9c000000-7f4c9c021000 rw-p 00000000 00:00 0 
7f4c9c021000-7f4ca0000000 ---p 00000000 00:00 0 
7f4ca0000000-7f4ca003f000 rw-p 00000000 00:00 0 
7f4ca003f000-7f4ca4000000 ---p 00000000 00:00 0 
7f4ca4000000-7f4ca4021000 rw-p 00000000 00:00 0 
7f4ca4021000-7f4ca8000000 ---p 00000000 00:00 0 
7f4ca8000000-7f4ca803a000 rw-p 00000000 00:00 0 
7f4ca803a000-7f4cac000000 ---p 00000000 00:00 0 
7f4cac000000-7f4cac021000 rw-p 00000000 00:00 0 
7f4cac021000-7f4cb0000000 ---p 00000000 00:00 0 
7f4cb0000000-7f4cb0021000 rw-p 00000000 00:00 0 
7f4cb0021000-7f4cb4000000 ---p 00000000 00:00 0 
7f4cb59ba000-7f4cb59d3000 r-xp 00000000 08:0a 657578                     /lib/x86_64-linux-gnu/libz.so.1.2.8
7f4cb59d3000-7f4cb5bd2000 ---p 00019000 08:0a 657578                     /lib/x86_64-linux-gnu/libz.so.1.2.8
7f4cb5bd2000-7f4cb5bd3000 r--p 00018000 08:0a 657578                     /lib/x86_64-linux-gnu/libz.so.1.2.8
7f4cb5bd3000-7f4cb5bd4000 rw-p 00019000 08:0a 657578                     /lib/x86_64-linux-gnu/libz.so.1.2.8
7f4cb5bfe000-7f4cb5c3e000 r-xp 00000000 08:0a 528382                     /usr/lib/libMonoPosixHelper.so
7f4cb5c3e000-7f4cb5e3d000 ---p 00040000 08:0a 528382                     /usr/lib/libMonoPosixHelper.so
7f4cb5e3d000-7f4cb5e3e000 r--p 0003f000 08:0a 528382                     /usr/lib/libMonoPosixHelper.so
7f4cb5e3e000-7f4cb5e3f000 rw-p 00040000 08:0a 528382                     /usr/lib/libMonoPosixHelper.so
7f4cb5e3f000-7f4cb5e40000 rw-p 00000000 00:00 0 
7f4cb5e40000-7f4cb5f24000 r--p 00000000 08:0a 4725734                    /usr/lib/mono/gac/System.Runtime.Serialization/4.0.0.0__b77a5c561934e089/System.Runtime.Serialization.dll
7f4cb5f24000-7f4cb5fa4000 rw-p 00000000 00:00 0 
7f4cb5fa7000-7f4cb6131000 rw-p 00000000 00:00 0 
7f4cb6131000-7f4cb6132000 rw-p 00000000 00:00 0 
7f4cb6132000-7f4cb6150000 r--p 00000000 08:0a 4730684                    /usr/lib/mono/gac/System.Xml.Linq/4.0.0.0__b77a5c561934e089/System.Xml.Linq.dll
7f4cb6150000-7f4cb61d1000 rw-p 00000000 00:00 0 
7f4cb61d1000-7f4cb61d4000 rw-p 00000000 00:00 0 
7f4cb61d4000-7f4cb61e9000 r--p 00000000 08:0a 4725350                    /usr/lib/mono/gac/System.ComponentModel.DataAnnotations/4.0.0.0__31bf3856ad364e35/System.ComponentModel.DataAnnotations.dll
7f4cb61e9000-7f4cb61f2000 ---p 00000000 00:00 0 
7f4cb61f2000-7f4cb63ea000 rw-p 00000000 00:00 0 
7f4cb63ea000-7f4cb63f5000 r-xp 00000000 08:0a 660644                     /lib/x86_64-linux-gnu/libnss_files-2.23.so
7f4cb63f5000-7f4cb65f4000 ---p 0000b000 08:0a 660644                     /lib/x86_64-linux-gnu/libnss_files-2.23.so
7f4cb65f4000-7f4cb65f5000 r--p 0000a000 08:0a 660644                     /lib/x86_64-linux-gnu/libnss_files-2.23.so
7f4cb65f5000-7f4cb65f6000 rw-p 0000b000 08:0a 660644                     /lib/x86_64-linux-gnu/libnss_files-2.23.so
7f4cb65f6000-7f4cb65fc000 rw-p 00000000 00:00 0 
7f4cb65fc000-7f4cb6605000 ---p 00000000 00:00 0 
7f4cb6605000-7f4cb67fd000 rw-p 00000000 00:00 0 
7f4cb67fd000-7f4cb6806000 ---p 00000000 00:00 0 
7f4cb6806000-7f4cb69fe000 rw-p 00000000 00:00 0 
7f4cb69fe000-7f4cb6a07000 ---p 00000000 00:00 0 
7f4cb6a07000-7f4cb6bff000 rw-p 00000000 00:00 0 
7f4cb6bff000-7f4cb6c08000 ---p 00000000 00:00 0 
7f4cb6c08000-7f4cb6f02000 rw-p 00000000 00:00 0 
7f4cb6f02000-7f4cb6f06000 rw-p 00000000 00:00 0 
7f4cb6f06000-7f4cb6f31000 r--p 00000000 08:0a 4725675                    /usr/lib/mono/gac/System.Data.OracleClient/4.0.0.0__b77a5c561934e089/System.Data.OracleClient.dll
7f4cb6f31000-7f4cb6f48000 r--p 00000000 08:0a 4725283                    /usr/lib/mono/gac/System.Numerics/4.0.0.0__b77a5c561934e089/System.Numerics.dll
7f4cb6f48000-7f4cb6fe0000 r--p 00000000 08:0a 4980990                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/EntityFramework.SqlServer.dll
7f4cb6fe0000-7f4cb72e3000 r--p 00000000 08:0a 4460105                    /usr/lib/mono/gac/System.Xml/4.0.0.0__b77a5c561934e089/System.Xml.dll
7f4cb72e3000-7f4cb77d8000 r--p 00000000 08:0a 4980907                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/EntityFramework.dll
7f4cb77d8000-7f4cb7a63000 r--p 00000000 08:0a 4460085                    /usr/lib/mono/gac/System/4.0.0.0__b77a5c561934e089/System.dll
7f4cb7a63000-7f4cb7c54000 r--p 00000000 08:0a 4725297                    /usr/lib/mono/gac/System.Data/4.0.0.0__b77a5c561934e089/System.Data.dll
7f4cb7c54000-7f4cb7c5d000 ---p 00000000 00:00 0 
7f4cb7c5d000-7f4cb7e55000 rw-p 00000000 00:00 0 
7f4cb7e55000-7f4cb7e5e000 ---p 00000000 00:00 0 
7f4cb7e5e000-7f4cb8056000 rw-p 00000000 00:00 0 
7f4cb8056000-7f4cb83ff000 r--p 00000000 08:0a 4460676                    /usr/lib/mono/4.5/mscorlib.dll
7f4cb83ff000-7f4cb93ff000 rw-p 00000000 00:00 0 
7f4cb93ff000-7f4cb9400000 ---p 00000000 00:00 0 
7f4cb9400000-7f4cba001000 rw-p 00000000 00:00 0 
7f4cba001000-7f4cba006000 rw-p 00000000 00:00 0 
7f4cba006000-7f4cba016000 rwxp 00000000 00:00 0 
7f4cba016000-7f4cba03d000 r--p 00000000 08:0a 4980993                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/Npgsql.EntityFramework.dll
7f4cba03d000-7f4cba05b000 r--p 00000000 08:0a 4460040                    /usr/lib/mono/gac/System.Configuration/4.0.0.0__b03f5f7f11d50a3a/System.Configuration.dll
7f4cba05b000-7f4cba152000 r--p 00000000 08:0a 4460106                    /usr/lib/mono/gac/System.Core/4.0.0.0__b77a5c561934e089/System.Core.dll
7f4cba152000-7f4cba55b000 r--p 00000000 08:0a 526099                     /usr/lib/locale/locale-archive
7f4cba55b000-7f4cba71a000 r-xp 00000000 08:0a 660640                     /lib/x86_64-linux-gnu/libc-2.23.so
7f4cba71a000-7f4cba91a000 ---p 001bf000 08:0a 660640                     /lib/x86_64-linux-gnu/libc-2.23.so
7f4cba91a000-7f4cba91e000 r--p 001bf000 08:0a 660640                     /lib/x86_64-linux-gnu/libc-2.23.so
7f4cba91e000-7f4cba920000 rw-p 001c3000 08:0a 660640                     /lib/x86_64-linux-gnu/libc-2.23.so
7f4cba920000-7f4cba924000 rw-p 00000000 00:00 0 
7f4cba924000-7f4cba93a000 r-xp 00000000 08:0a 659398                     /lib/x86_64-linux-gnu/libgcc_s.so.1
7f4cba93a000-7f4cbab39000 ---p 00016000 08:0a 659398                     /lib/x86_64-linux-gnu/libgcc_s.so.1
7f4cbab39000-7f4cbab3a000 rw-p 00015000 08:0a 659398                     /lib/x86_64-linux-gnu/libgcc_s.so.1
7f4cbab3a000-7f4cbab52000 r-xp 00000000 08:0a 660651                     /lib/x86_64-linux-gnu/libpthread-2.23.so
7f4cbab52000-7f4cbad51000 ---p 00018000 08:0a 660651                     /lib/x86_64-linux-gnu/libpthread-2.23.so
7f4cbad51000-7f4cbad52000 r--p 00017000 08:0a 660651                     /lib/x86_64-linux-gnu/libpthread-2.23.so
7f4cbad52000-7f4cbad53000 rw-p 00018000 08:0a 660651                     /lib/x86_64-linux-gnu/libpthread-2.23.so
7f4cbad53000-7f4cbad57000 rw-p 00000000 00:00 0 
7f4cbad57000-7f4cbad5a000 r-xp 00000000 08:0a 660361                     /lib/x86_64-linux-gnu/libdl-2.23.so
7f4cbad5a000-7f4cbaf59000 ---p 00003000 08:0a 660361                     /lib/x86_64-linux-gnu/libdl-2.23.so
7f4cbaf59000-7f4cbaf5a000 r--p 00002000 08:0a 660361                     /lib/x86_64-linux-gnu/libdl-2.23.so
7f4cbaf5a000-7f4cbaf5b000 rw-p 00003000 08:0a 660361                     /lib/x86_64-linux-gnu/libdl-2.23.so
7f4cbaf5b000-7f4cbaf62000 r-xp 00000000 08:0a 660647                     /lib/x86_64-linux-gnu/librt-2.23.so
7f4cbaf62000-7f4cbb161000 ---p 00007000 08:0a 660647                     /lib/x86_64-linux-gnu/librt-2.23.so
7f4cbb161000-7f4cbb162000 r--p 00006000 08:0a 660647                     /lib/x86_64-linux-gnu/librt-2.23.so
7f4cbb162000-7f4cbb163000 rw-p 00007000 08:0a 660647                     /lib/x86_64-linux-gnu/librt-2.23.so
7f4cbb163000-7f4cbb26b000 r-xp 00000000 08:0a 660638                     /lib/x86_64-linux-gnu/libm-2.23.so
7f4cbb26b000-7f4cbb46a000 ---p 00108000 08:0a 660638                     /lib/x86_64-linux-gnu/libm-2.23.so
7f4cbb46a000-7f4cbb46b000 r--p 00107000 08:0a 660638                     /lib/x86_64-linux-gnu/libm-2.23.so
7f4cbb46b000-7f4cbb46c000 rw-p 00108000 08:0a 660638                     /lib/x86_64-linux-gnu/libm-2.23.so
7f4cbb46c000-7f4cbb492000 r-xp 00000000 08:0a 660641                     /lib/x86_64-linux-gnu/ld-2.23.so
7f4cbb492000-7f4cbb4a4000 rw-p 00000000 00:00 0 
7f4cbb4a4000-7f4cbb4d8000 r--p 00000000 08:0a 4460096                    /usr/lib/mono/gac/Mono.Posix/4.0.0.0__0738eb9f132ed756/Mono.Posix.dll
7f4cbb4d8000-7f4cbb525000 r--p 00000000 08:0a 4461137                    /usr/lib/mono/gac/Mono.Security/4.0.0.0__0738eb9f132ed756/Mono.Security.dll
7f4cbb525000-7f4cbb57c000 r--p 00000000 08:0a 4980994                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/Npgsql.dll
7f4cbb57c000-7f4cbb601000 rw-p 00000000 00:00 0 
7f4cbb601000-7f4cbb660000 ---p 00000000 00:00 0 
7f4cbb660000-7f4cbb667000 rw-p 00000000 00:00 0 
7f4cbb667000-7f4cbb66a000 rw-p 00000000 00:00 0 
7f4cbb66a000-7f4cbb673000 r--p 00000000 08:0a 4725262                    /usr/lib/mono/gac/System.Transactions/4.0.0.0__b77a5c561934e089/System.Transactions.dll
7f4cbb673000-7f4cbb674000 r--p 00000000 08:0a 4980750                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/TestEFCompilation.pdb
7f4cbb674000-7f4cbb681000 rw-p 00000000 00:00 0 
7f4cbb681000-7f4cbb683000 r--p 00000000 08:0a 4984158                    /home/bgurmendi/RiderProjects/CrashTestEFCompilation/bin/Debug/TestEFCompilation.exe
7f4cbb683000-7f4cbb684000 rw-s 00000000 00:15 13                         /dev/shm/mono.6801
7f4cbb684000-7f4cbb691000 rw-p 00000000 00:00 0 
7f4cbb691000-7f4cbb692000 r--p 00025000 08:0a 660641                     /lib/x86_64-linux-gnu/ld-2.23.so
7f4cbb692000-7f4cbb693000 rw-p 00026000 08:0a 660641                     /lib/x86_64-linux-gnu/ld-2.23.so
7f4cbb693000-7f4cbb694000 rw-p 00000000 00:00 0 
7ffd02168000-7ffd02170000 ---p 00000000 00:00 0 
7ffd02946000-7ffd02967000 rw-p 00000000 00:00 0                          [stack]
7ffd029ac000-7ffd029ae000 r--p 00000000 00:00 0                          [vvar]
7ffd029ae000-7ffd029b0000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Native stacktrace:

	/usr/bin/mono() [0x4ac59f]
	/usr/bin/mono() [0x50fac6]
	/lib/x86_64-linux-gnu/libc.so.6(cfree+0x22) [0x7f4cba5de962]

Debug info from gdb:

[New LWP 6802]
[New LWP 6804]
[New LWP 6805]
[New LWP 6809]
[New LWP 6810]
[New LWP 6811]
[New LWP 6812]
[New LWP 6814]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
185	../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S: No such file or directory.
  Id   Target Id         Frame 
* 1    Thread 0x7f4cbb660740 (LWP 6801) "mono" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  2    Thread 0x7f4cb9bff700 (LWP 6802) "SGen worker" pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
  3    Thread 0x7f4cb8055700 (LWP 6804) "Finalizer" 0x00007f4cbab49827 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x9d66a0 <finalizer_sem>) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
  4    Thread 0x7f4cb7e54700 (LWP 6805) "Debugger agent" 0x00007f4cbab4af7b in __waitpid (pid=pid@entry=6818, stat_loc=stat_loc@entry=0x7f4cb7e52d7c, options=options@entry=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29
  5    Thread 0x7f4cb6dff700 (LWP 6809) "mono" pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
  6    Thread 0x7f4cb6bfe700 (LWP 6810) "Threadpool work" pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
  7    Thread 0x7f4cb69fd700 (LWP 6811) "Threadpool work" pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
  8    Thread 0x7f4cb67fc700 (LWP 6812) "Threadpool work" pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
  9    Thread 0x7f4cb63e9700 (LWP 6814) "mono" 0x00007f4cba655b5d in poll () at ../sysdeps/unix/syscall-template.S:84

Thread 9 (Thread 0x7f4cb63e9700 (LWP 6814)):
#0  0x00007f4cba655b5d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x0000000000679687 in poll (__timeout=<optimized out>, __nfds=<optimized out>, __fds=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  mono_poll (ufds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at mono-poll.c:26
#3  0x00000000005cd8b5 in poll_event_wait (callback=0x5cdfe0 <wait_callback>, user_data=0x7f4c9c002630) at threadpool-io-poll.c:143
#4  0x00000000005ce6fe in selector_thread (data=data@entry=0x0) at threadpool-io.c:422
#5  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb63e8e28, start_info=0x0) at threads.c:837
#6  start_wrapper (data=0x21f4460) at threads.c:889
#7  0x00000000006805c8 in inner_start_thread (data=0x1da7760) at mono-threads.c:1170
#8  0x00007f4cbab416ba in start_thread (arg=0x7f4cb63e9700) at pthread_create.c:333
#9  0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f4cb67fc700 (LWP 6812)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00000000005cbd00 in mono_os_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-os-mutex.h:179
#2  mono_coop_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-coop-mutex.h:99
#3  worker_park (worker=0x1f44440) at threadpool-worker-default.c:505
#4  worker_thread (data=data@entry=0x1f44440) at threadpool-worker-default.c:580
#5  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb67fbe28, start_info=0x0) at threads.c:837
#6  start_wrapper (data=0x7f4ca80073a0) at threads.c:889
#7  0x00000000006805c8 in inner_start_thread (data=0x7f4ca8027930) at mono-threads.c:1170
#8  0x00007f4cbab416ba in start_thread (arg=0x7f4cb67fc700) at pthread_create.c:333
#9  0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f4cb69fd700 (LWP 6811)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00000000005cbd00 in mono_os_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-os-mutex.h:179
#2  mono_coop_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-coop-mutex.h:99
#3  worker_park (worker=0x1f44440) at threadpool-worker-default.c:505
#4  worker_thread (data=data@entry=0x1f44440) at threadpool-worker-default.c:580
#5  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb69fce28, start_info=0x0) at threads.c:837
#6  start_wrapper (data=0x7f4ca80073a0) at threads.c:889
#7  0x00000000006805c8 in inner_start_thread (data=0x7f4ca8027930) at mono-threads.c:1170
#8  0x00007f4cbab416ba in start_thread (arg=0x7f4cb69fd700) at pthread_create.c:333
#9  0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f4cb6bfe700 (LWP 6810)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00000000005cbd00 in mono_os_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-os-mutex.h:179
#2  mono_coop_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-coop-mutex.h:99
#3  worker_park (worker=0x1f44440) at threadpool-worker-default.c:505
#4  worker_thread (data=data@entry=0x1f44440) at threadpool-worker-default.c:580
#5  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb6bfde28, start_info=0x0) at threads.c:837
#6  start_wrapper (data=0x1fdf6d0) at threads.c:889
#7  0x00000000006805c8 in inner_start_thread (data=0x1fbf110) at mono-threads.c:1170
#8  0x00007f4cbab416ba in start_thread (arg=0x7f4cb6bfe700) at pthread_create.c:333
#9  0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f4cb6dff700 (LWP 6809)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x000000000068102b in mono_os_cond_timedwait (timeout_ms=<optimized out>, mutex=0x9e62e0 <sleep_mutex>, cond=0x9e62a0 <sleep_cond>) at ../../mono/utils/mono-os-mutex.h:179
#2  mono_coop_cond_timedwait (cond=0x9e62a0 <sleep_cond>, mutex=0x9e62e0 <sleep_mutex>, timeout_ms=<optimized out>) at ../../mono/utils/mono-coop-mutex.h:99
#3  sleep_interruptable (alerted=0x7f4cb6dfedc0, ms=500) at mono-threads.c:1293
#4  mono_thread_info_sleep (ms=ms@entry=500, alerted=alerted@entry=0x7f4cb6dfedc0) at mono-threads.c:1325
#5  0x00000000005caeb6 in monitor_thread (data=data@entry=0x1f44440) at threadpool-worker-default.c:804
#6  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb6dfee28, start_info=0x0) at threads.c:837
#7  start_wrapper (data=0x1fdf6d0) at threads.c:889
#8  0x00000000006805c8 in inner_start_thread (data=0x1fc7b40) at mono-threads.c:1170
#9  0x00007f4cbab416ba in start_thread (arg=0x7f4cb6dff700) at pthread_create.c:333
#10 0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f4cb7e54700 (LWP 6805)):
#0  0x00007f4cbab4af7b in __waitpid (pid=pid@entry=6818, stat_loc=stat_loc@entry=0x7f4cb7e52d7c, options=options@entry=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29
#1  0x00000000004ac659 in mono_handle_native_crash (signal=<optimized out>, signal@entry=0x694aac "SIGSEGV", ctx=ctx@entry=0x0, info=info@entry=0x0) at mini-exceptions.c:2567
#2  0x000000000050fac6 in altstack_handle_and_restore (ctx=0x7f4cb7e53820, obj=0x0, stack_ovf=0) at exceptions-amd64.c:780
#3  0x00007f4cba5de962 in __GI___libc_free (mem=0x1aa2) at malloc.c:2944
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f4cb8055700 (LWP 6804)):
#0  0x00007f4cbab49827 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x9d66a0 <finalizer_sem>) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x9d66a0 <finalizer_sem>, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007f4cbab498d4 in __new_sem_wait_slow (sem=0x9d66a0 <finalizer_sem>, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007f4cbab4997a in __new_sem_wait (sem=sem@entry=0x9d66a0 <finalizer_sem>) at sem_wait.c:29
#4  0x00000000005ec0ef in mono_os_sem_wait (flags=MONO_SEM_FLAGS_ALERTABLE, sem=0x9d66a0 <finalizer_sem>) at ../../mono/utils/mono-os-semaphore.h:209
#5  mono_coop_sem_wait (flags=MONO_SEM_FLAGS_ALERTABLE, sem=0x9d66a0 <finalizer_sem>) at ../../mono/utils/mono-coop-semaphore.h:40
#6  finalizer_thread (unused=unused@entry=0x0) at gc.c:907
#7  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb8054e28, start_info=0x0) at threads.c:837
#8  start_wrapper (data=0x1c08430) at threads.c:889
#9  0x00000000006805c8 in inner_start_thread (data=0x1c08490) at mono-threads.c:1170
#10 0x00007f4cbab416ba in start_thread (arg=0x7f4cb8055700) at pthread_create.c:333
#11 0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f4cb9bff700 (LWP 6802)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000000066b537 in mono_os_cond_wait (mutex=0x9e58e0 <lock>, cond=0x9e58a0 <work_cond>) at ../../mono/utils/mono-os-mutex.h:146
#2  thread_func (thread_data=0x7f4cbb689008) at sgen-thread-pool.c:129
#3  0x00007f4cbab416ba in start_thread (arg=0x7f4cb9bff700) at pthread_create.c:333
#4  0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f4cbb660740 (LWP 6801)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000000004d4e79 in mono_os_cond_wait (mutex=0x9b43c0 <suspend_mutex>, cond=0x9b4380 <suspend_cond>) at ../../mono/utils/mono-os-mutex.h:146
#2  mono_coop_cond_wait (mutex=0x9b43c0 <suspend_mutex>, cond=0x9b4380 <suspend_cond>) at ../../mono/utils/mono-coop-mutex.h:87
#3  suspend_current () at debugger-agent.c:2933
#4  0x00000000004d5bc8 in process_event (event=event@entry=EVENT_KIND_BREAKPOINT, arg=arg@entry=0x1c18260, il_offset=il_offset@entry=0, ctx=ctx@entry=0x1bf2e48, events=0x0, events@entry=0x497e230, suspend_policy=<optimized out>) at debugger-agent.c:3768
#5  0x00000000004d6f95 in process_breakpoint_inner (tls=tls@entry=0x1bf27b0, from_signal=from_signal@entry=0) at debugger-agent.c:4904
#6  0x00000000004dd8b3 in debugger_agent_breakpoint_from_context (ctx=0x7ffd02964020) at debugger-agent.c:5226
#7  0x000000004022f07b in ?? ()
#8  0x0000000001be4e60 in ?? ()
#9  0x0000000000000000 in ?? ()

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================


9700 (LWP 6814)):
#0  0x00007f4cba655b5d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x0000000000679687 in poll (__timeout=<optimized out>, __nfds=<optimized out>, __fds=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  mono_poll (ufds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at mono-poll.c:26
#3  0x00000000005cd8b5 in poll_event_wait (callback=0x5cdfe0 <wait_callback>, user_data=0x7f4c9c002630) at threadpool-io-poll.c:143
#4  0x00000000005ce6fe in selector_thread (data=data@entry=0x0) at threadpool-io.c:422
#5  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb63e8e28, start_info=0x0) at threads.c:837
#6  start_wrapper (data=0x21f4460) at threads.c:889
#7  0x00000000006805c8 in inner_start_thread (data=0x1da7760) at mono-threads.c:1170
#8  0x00007f4cbab416ba in start_thread (arg=0x7f4cb63e9700) at pthread_create.c:333
#9  0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f4cb67fc700 (LWP 6812)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00000000005cbd00 in mono_os_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-os-mutex.h:179
#2  mono_coop_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-coop-mutex.h:99
#3  worker_park (worker=0x1f44440) at threadpool-worker-default.c:505
#4  worker_thread (data=data@entry=0x1f44440) at threadpool-worker-default.c:580
#5  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb67fbe28, start_info=0x0) at threads.c:837
#6  start_wrapper (data=0x7f4ca80073a0) at threads.c:889
#7  0x00000000006805c8 in inner_start_thread (data=0x7f4ca8027930) at mono-threads.c:1170
#8  0x00007f4cbab416ba in start_thread (arg=0x7f4cb67fc700) at pthread_create.c:333
#9  0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f4cb69fd700 (LWP 6811)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00000000005cbd00 in mono_os_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-os-mutex.h:179
#2  mono_coop_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-coop-mutex.h:99
#3  worker_park (worker=0x1f44440) at threadpool-worker-default.c:505
#4  worker_thread (data=data@entry=0x1f44440) at threadpool-worker-default.c:580
#5  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb69fce28, start_info=0x0) at threads.c:837
#6  start_wrapper (data=0x7f4ca80073a0) at threads.c:889
#7  0x00000000006805c8 in inner_start_thread (data=0x7f4ca8027930) at mono-threads.c:1170
#8  0x00007f4cbab416ba in start_thread (arg=0x7f4cb69fd700) at pthread_create.c:333
#9  0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f4cb6bfe700 (LWP 6810)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00000000005cbd00 in mono_os_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-os-mutex.h:179
#2  mono_coop_cond_timedwait (timeout_ms=<optimized out>, mutex=0x1f44460, cond=0x1f44490) at ../../mono/utils/mono-coop-mutex.h:99
#3  worker_park (worker=0x1f44440) at threadpool-worker-default.c:505
#4  worker_thread (data=data@entry=0x1f44440) at threadpool-worker-default.c:580
#5  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb6bfde28, start_info=0x0) at threads.c:837
#6  start_wrapper (data=0x1fdf6d0) at threads.c:889
#7  0x00000000006805c8 in inner_start_thread (data=0x1fbf110) at mono-threads.c:1170
#8  0x00007f4cbab416ba in start_thread (arg=0x7f4cb6bfe700) at pthread_create.c:333
#9  0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f4cb6dff700 (LWP 6809)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x000000000068102b in mono_os_cond_timedwait (timeout_ms=<optimized out>, mutex=0x9e62e0 <sleep_mutex>, cond=0x9e62a0 <sleep_cond>) at ../../mono/utils/mono-os-mutex.h:179
#2  mono_coop_cond_timedwait (cond=0x9e62a0 <sleep_cond>, mutex=0x9e62e0 <sleep_mutex>, timeout_ms=<optimized out>) at ../../mono/utils/mono-coop-mutex.h:99
#3  sleep_interruptable (alerted=0x7f4cb6dfedc0, ms=500) at mono-threads.c:1293
#4  mono_thread_info_sleep (ms=ms@entry=500, alerted=alerted@entry=0x7f4cb6dfedc0) at mono-threads.c:1325
#5  0x00000000005caeb6 in monitor_thread (data=data@entry=0x1f44440) at threadpool-worker-default.c:804
#6  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb6dfee28, start_info=0x0) at threads.c:837
#7  start_wrapper (data=0x1fdf6d0) at threads.c:889
#8  0x00000000006805c8 in inner_start_thread (data=0x1fc7b40) at mono-threads.c:1170
#9  0x00007f4cbab416ba in start_thread (arg=0x7f4cb6dff700) at pthread_create.c:333
#10 0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f4cb7e54700 (LWP 6805)):
#0  0x00007f4cbab4af7b in __waitpid (pid=pid@entry=6818, stat_loc=stat_loc@entry=0x7f4cb7e52d7c, options=options@entry=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29
#1  0x00000000004ac659 in mono_handle_native_crash (signal=<optimized out>, signal@entry=0x694aac "SIGSEGV", ctx=ctx@entry=0x0, info=info@entry=0x0) at mini-exceptions.c:2567
#2  0x000000000050fac6 in altstack_handle_and_restore (ctx=0x7f4cb7e53820, obj=0x0, stack_ovf=0) at exceptions-amd64.c:780
#3  0x00007f4cba5de962 in __GI___libc_free (mem=0x1aa2) at malloc.c:2944
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f4cb8055700 (LWP 6804)):
#0  0x00007f4cbab49827 in futex_abstimed_wait_cancelable (private=0, abstime=0x0, expected=0, futex_word=0x9d66a0 <finalizer_sem>) at ../sysdeps/unix/sysv/linux/futex-internal.h:205
#1  do_futex_wait (sem=sem@entry=0x9d66a0 <finalizer_sem>, abstime=0x0) at sem_waitcommon.c:111
#2  0x00007f4cbab498d4 in __new_sem_wait_slow (sem=0x9d66a0 <finalizer_sem>, abstime=0x0) at sem_waitcommon.c:181
#3  0x00007f4cbab4997a in __new_sem_wait (sem=sem@entry=0x9d66a0 <finalizer_sem>) at sem_wait.c:29
#4  0x00000000005ec0ef in mono_os_sem_wait (flags=MONO_SEM_FLAGS_ALERTABLE, sem=0x9d66a0 <finalizer_sem>) at ../../mono/utils/mono-os-semaphore.h:209
#5  mono_coop_sem_wait (flags=MONO_SEM_FLAGS_ALERTABLE, sem=0x9d66a0 <finalizer_sem>) at ../../mono/utils/mono-coop-semaphore.h:40
#6  finalizer_thread (unused=unused@entry=0x0) at gc.c:907
#7  0x00000000005c34ef in start_wrapper_internal (stack_ptr=0x7f4cb8054e28, start_info=0x0) at threads.c:837
#8  start_wrapper (data=0x1c08430) at threads.c:889
#9  0x00000000006805c8 in inner_start_thread (data=0x1c08490) at mono-threads.c:1170
#10 0x00007f4cbab416ba in start_thread (arg=0x7f4cb8055700) at pthread_create.c:333
#11 0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f4cb9bff700 (LWP 6802)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000000066b537 in mono_os_cond_wait (mutex=0x9e58e0 <lock>, cond=0x9e58a0 <work_cond>) at ../../mono/utils/mono-os-mutex.h:146
#2  thread_func (thread_data=0x7f4cbb689008) at sgen-thread-pool.c:129
#3  0x00007f4cbab416ba in start_thread (arg=0x7f4cb9bff700) at pthread_create.c:333
#4  0x00007f4cba66182d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f4cbb660740 (LWP 6801)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000000004d4e79 in mono_os_cond_wait (mutex=0x9b43c0 <suspend_mutex>, cond=0x9b4380 <suspend_cond>) at ../../mono/utils/mono-os-mutex.h:146
#2  mono_coop_cond_wait (mutex=0x9b43c0 <suspend_mutex>, cond=0x9b4380 <suspend_cond>) at ../../mono/utils/mono-coop-mutex.h:87
#3  suspend_current () at debugger-agent.c:2933
#4  0x00000000004d5bc8 in process_event (event=event@entry=EVENT_KIND_BREAKPOINT, arg=arg@entry=0x1c18260, il_offset=il_offset@entry=0, ctx=ctx@entry=0x1bf2e48, events=0x0, events@entry=0x497e230, suspend_policy=<optimized out>) at debugger-agent.c:3768
#5  0x00000000004d6f95 in process_breakpoint_inner (tls=tls@entry=0x1bf27b0, from_signal=from_signal@entry=0) at debugger-agent.c:4904
#6  0x00000000004dd8b3 in debugger_agent_breakpoint_from_context (ctx=0x7ffd02964020) at debugger-agent.c:5226
#7  0x000000004022f07b in ?? ()
#8  0x0000000001be4e60 in ?? ()
#9  0x0000000000000000 in ?? ()

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
Comment 1 Zoltan Varga 2017-06-03 18:08:41 UTC
I get:

System.TypeInitializationException: The type initializer for 'System.Data.Entity.Internal.AppConfig' threw an exception. ---> System.Configuration.ConfigurationErrorsException: Error Initializing the configuration system. ---> System.Configuration.ConfigurationErrorsException: Unrecognized configuration section <entityFramework> (/Users/vargaz/Projects/57133/Debugger_SIGSEGV/bin/Debug/TestEFCompilation.exe.config line 9)

What mono version is this ?
Comment 2 Beñat Gurmendi 2017-06-05 12:01:12 UTC
Created attachment 22694 [details]
Example project 2
Comment 3 Beñat Gurmendi 2017-06-05 12:05:14 UTC
$ mono --version
Mono JIT compiler version 5.0.1.1 (2017-02/5077205 Thu May 25 09:19:18 UTC 2017)


I made a mistake in the project, there were two app.config files with diferent case.

I have updated the attached example project.

The same bug is in older mono version (perhaps from 3.X days)
Comment 4 Zoltan Varga 2017-06-05 18:36:16 UTC
I can run the app now, but can't reproduce the crash. Can any MS people try to reproduce it ?
Comment 5 Beñat Gurmendi 2017-06-06 06:56:23 UTC
I use ubuntu 16.04.

On which OS have you tried?

Stack trace seems OS specific issue.
Comment 6 Beñat Gurmendi 2017-06-06 07:00:53 UTC
Zoltan: Did you run with debugger attaches and watch to 'entity' local variable?
Comment 7 Aleksey Kliger 2017-12-28 19:10:15 UTC
I can get a crash in VS for Mac using Mono 5.4.1.7 (OSX free() helpfully provides a stack trace, below).

No crash under 5.11.0.137 (master/e5246d94ab9).  From the stack trace from free(), this looks like a missing g_strdup in an argument to mono_error_set_type_load_name().  Most likely we already fixed this in another guise.  I'm going to try to track down the commit that did it.

This issue was also reported as https://github.com/mono/mono/issues/6348


    mono32(40461,0xb0720000) malloc: *** error for object 0x2c206a: pointer being freed was not allocated
    *** set a breakpoint in malloc_error_break to debug
    Stacktrace:
    
    
    Native stacktrace:
    
    	0   mono32                              0x001842d9 mono_handle_native_crash + 233
    	1   mono32                              0x001e4239 sigabrt_signal_handler + 153
    	2   libsystem_platform.dylib            0xa77d602b _sigtramp + 43
    	3   ???                                 0xffffffff 0x0 + 4294967295
    	4   libsystem_c.dylib                   0xa75ffafe abort + 133
    	5   libsystem_malloc.dylib              0xa7709eed szone_size + 0
    	6   mono32                              0x00350156 mono_error_cleanup + 86
    	7   mono32                              0x001b73e0 type_commands_internal + 4016
    	8   mono32                              0x001a9a2b debugger_thread + 2811
    	9   mono32                              0x00298f05 start_wrapper + 661
    	10  libsystem_pthread.dylib             0xa77de50d _pthread_body + 347
    	11  libsystem_pthread.dylib             0xa77de3b2 _pthread_body + 0
    	12  libsystem_pthread.dylib             0xa77dda8e thread_start + 34
Comment 8 Aleksey Kliger 2017-12-30 03:40:50 UTC
Tracked this down with git bisect: this issue was fixed by https://github.com/mono/mono/commit/522c8b69f5a433f645d15dc4ebb6a25b8266b414

So this looks like a duplicate of bug 57488

That bug is fixed on mono master, 2017-12 and 2017-10 branches.
Also cherrypicking that commit to 2017-06 fixes the crash in mono 5.4.

*** This bug has been marked as a duplicate of bug 57488 ***
Comment 9 Beñat Gurmendi 2018-01-08 08:52:15 UTC
Alekey, thanks for your bisect investigation.

This issue is giving us a lot of headache, there is some release date planed for 2017-10 or 2017-12 branches? Or a Service Release for mono 5.4 thats contains the cherrypicked commit?

We dont understand new branching model. On http://www.mono-project.com/docs/about-mono/versioning/ there a list whith versiones, 5.6, 5.8. 5.10

but not on http://www.mono-project.com/docs/about-mono/releases/

Neither on ubuntu repo: http://download.mono-project.com/repo/ubuntu/dists/xenial/snapshots/

thanks for any clue
Comment 10 Aleksey Kliger 2018-01-08 14:59:05 UTC
Beñat, generally speaking you should keep an eye on http://www.mono-project.com/download/ and perhaps the beta and alpha channels there http://www.mono-project.com/download/beta/ (and http://www.mono-project.com/download/alpha/, respectively) for the latest mono releases and pre-releases.  (In particular note that the Ubuntu package URLs for the beta and alpha releases are different from the stable release download URL that you linked)

As far as the version numbers:
 mono engineers create the YYYY-MM branches (e.g. 2017-12) on a bimonthly schedule.  The idea is that the latest (or sometimes two latest) of these branches get bugfixes and stabilization work backported from master.   The master branch usually has a version number like a.b.c where b is odd.  When a YYYY-MM branch is cut, that branch gets a version like a.b+1.c and at the same time master is bumped to a.b+2.c  So for example when we branched for 2017-10, master was previously at 5.7.0 so 2010-10 became 5.8.0 and master increased to 5.9.0.  Then 2017-12 branched and became 5.10.

In terms of which versions become alpha/beta/stable releases, that is somewhat correlated with the amount of testing that a given YYYY-MM branch gets, which is roughly correlated with new releases of Xamarin.iOS,Mac,Android and VS for Mac.
Comment 11 Beñat Gurmendi 2018-01-08 17:05:35 UTC
Explained perfectly, thanks!